Bug 663925 - Review Request: autoconf-archive - The Autoconf Macro Archive
Summary: Review Request: autoconf-archive - The Autoconf Macro Archive
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Huffman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-17 11:34 UTC by Takanori MATSUURA
Modified: 2014-11-19 22:42 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-30 22:32:41 UTC
bloch: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Takanori MATSUURA 2010-12-17 11:34:45 UTC
Spec URL: http://t-matsuu.sakura.ne.jp/mock/autoconf-archive/autoconf-archive.spec
SRPM URL: http://t-matsuu.sakura.ne.jp/mock/autoconf-archive/autoconf-archive-2010.10.26-1.fc14.src.rpm
Description:
The GNU Autoconf Archive is a collection of more than 450 macros for
GNU Autoconf that have been contributed as free software by friendly
supporters of the cause from all over the Internet.

Comment 1 Takanori MATSUURA 2010-12-17 11:37:19 UTC
Koji scratch build successful on f13, f14, f15, 5E, and 6E.

$ rpmlint autoconf-archive-2010.10.26-1.fc14.noarch.rpm, autoconf-archive-2010.10.26-1.fc14.src.rpm, and autoconf-archive.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 3 Takanori MATSUURA 2011-03-25 04:28:32 UTC
Spec URL:
http://t-matsuu.sakura.ne.jp/mock/autoconf-archive/autoconf-archive.spec
SRPM URL:
http://t-matsuu.sakura.ne.jp/mock/autoconf-archive/autoconf-archive-2011.03.17-0.fc14.src.rpm

Update to 2011.03.17.

Build successful on f13, f14, f15, rawhide, 6E-epel.

Comment 4 Adam Huffman 2011-04-30 12:32:52 UTC
I will review this package

Comment 5 Adam Huffman 2011-04-30 13:48:15 UTC

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Rpmlint output is silent.
        
        rpmlint autoconf-archive-2011.03.17-0.fc16.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint autoconf-archive-2011.03.17-0.fc16.noarch.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : 95db13b789f02f449d11cb822b07c376
        MD5SUM upstream package : 95db13b789f02f449d11cb822b07c376
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[!] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
        Found : Packager: Adam Huffman <bloch@verdurin.com>
        
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[-] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package does not generates any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[-] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[!] : MUST - Package installs properly.
[x] : MUST - Rpath absent or only used for internal libs.
[?] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source0: ftp://ftp.gnu.org/gnu/autoconf-archive/autoconf-archive-%{version}.tar.xz (autoconf-archive-%{version}.tar.xz)
        
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[?] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - Package functions as described.
[!] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[!] : SHOULD - Scriptlets must be sane, if used.
[-] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[?] : SHOULD - Packages should try to preserve timestamps of original installed files.

Issues:
[!] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
this can be ignored, I think

[!] : MUST - License field in the package spec file matches the actual license.
Does COPYING.EXCEPTION need to be included?
Some of the files in build-aux imply GPLv3+

[!] : MUST - Package installs properly.
Message when installing on F14:

install-info: Is a directory for /usr/share/info


Please take a look at the issues listed here.  Otherwise, it seems fine.

In case you have some spare time I'd greatly appreciate someone looking at https://bugzilla.redhat.com/show_bug.cgi?id=627936

Comment 6 Adam Huffman 2011-04-30 14:24:47 UTC
Forgot to say that there's a newer upstream release - 2011.04.12.

Comment 7 Takanori MATSUURA 2011-05-06 15:38:12 UTC
Thank you for reviewing.

Spec URL:
http://t-matsuu.sakura.ne.jp/mock/autoconf-archive/autoconf-archive.spec
SRPM URL:
http://t-matsuu.sakura.ne.jp/mock/autoconf-archive/autoconf-archive-2011.04.12-0.fc14.src.rpm


(In reply to comment #5)
> [!] : SHOULD - SourceX / PatchY prefixed with %{name}.
>         Source0:
> ftp://ftp.gnu.org/gnu/autoconf-archive/autoconf-archive-%{version}.tar.xz
> (autoconf-archive-%{version}.tar.xz)

Fixed. Thanks.


> [!] : SHOULD - Latest version is packaged.

Updated to 2011.04.12.


> [!] : SHOULD - Scriptlets must be sane, if used.

Fixed %post and %preun scriptlets.


> [?] : SHOULD - Packages should try to preserve timestamps of original 
> installed files.

Added  INSTALL="install -p" for make install.


> Issues:
> [!] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
> this can be ignored, I think

I never added Packager tag in the spec file.
I'm afraid it has been added by your setting.


> [!] : MUST - License field in the package spec file matches the actual license.
> Does COPYING.EXCEPTION need to be included?
> Some of the files in build-aux imply GPLv3+

License field has been updated to "GPLv3+ with exceptions".


> [!] : MUST - Package installs properly.
> Message when installing on F14:
> 
> install-info: Is a directory for /usr/share/info

Fixed %post and %preun scriptlets.

Comment 8 Adam Huffman 2011-05-10 22:36:05 UTC
Thanks for the new version.  Looks fine to me now.

APPROVED

Comment 9 Takanori MATSUURA 2011-05-10 23:36:14 UTC
New Package SCM Request
=======================
Package Name: autoconf-archive
Short Description: The Autoconf Macro Archive
Owners: tmatsuu
Branches: f13 f14 el5 el6
InitialCC:

Comment 10 Takanori MATSUURA 2011-05-11 03:15:24 UTC
I forgot to add f15. :-(

New Package SCM Request
=======================
Package Name: autoconf-archive
Short Description: The Autoconf Macro Archive
Owners: tmatsuu
Branches: f13 f14 f15 el5 el6
InitialCC:

Comment 11 Jason Tibbitts 2011-05-18 21:35:23 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-05-26 14:09:51 UTC
autoconf-archive-2011.04.12-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/autoconf-archive-2011.04.12-1.fc15

Comment 13 Fedora Update System 2011-05-26 14:10:22 UTC
autoconf-archive-2011.04.12-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/autoconf-archive-2011.04.12-1.fc14

Comment 14 Fedora Update System 2011-05-26 14:10:24 UTC
autoconf-archive-2011.04.12-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/autoconf-archive-2011.04.12-1.fc13

Comment 15 Fedora Update System 2011-05-26 14:10:27 UTC
autoconf-archive-2011.04.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/autoconf-archive-2011.04.12-1.el6

Comment 16 Fedora Update System 2011-05-26 14:10:28 UTC
autoconf-archive-2011.04.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/autoconf-archive-2011.04.12-1.el5

Comment 17 Fedora Update System 2011-05-26 15:53:17 UTC
autoconf-archive-2011.04.12-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 18 Fedora Update System 2011-05-30 22:32:36 UTC
autoconf-archive-2011.04.12-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 19 Fedora Update System 2011-06-04 02:56:56 UTC
autoconf-archive-2011.04.12-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 20 Fedora Update System 2011-06-04 03:04:45 UTC
autoconf-archive-2011.04.12-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 21 Fedora Update System 2011-06-15 14:56:51 UTC
autoconf-archive-2011.04.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 22 Fedora Update System 2011-06-15 14:57:57 UTC
autoconf-archive-2011.04.12-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.